Subject: Re: comments on simple multicast

From: Mark Handley <[email-masked]>
Date: Tue, 22 Dec 1998 10:44:14 -0500

>On Tue Dec 22 15:57:26 1998 Ken Carlberg wrote
>
>> in very general terms, MASC (and the other complimentary protocols) involves
>> the allocation/distribution of multicast addresses.  during this process,
>> there is a delay and a best-guess engineering incured in this schema. 
>> granted, the delay is small, and the engineering will probably be adequate
>> for today's commonly used mcast applications.  but there are other 
>> applications that may need to (and indeed do) bypass this process. 

Yes, one of the intentions behind the architecture is that those rare
applications with special needs can bypass
the-protocol-formerly-known-as-MDHCP and actually be be MAAS's and
speak AAP directly.  Then, within *very* broad bounds set my MASC,
they can do their own address management.  

We believe those applications are rare (normal apps use MDHCP), but
fully expect that they will probably exist.  Speaking AAP is a bit
harder than speaking MDHCP, so you wouldn't want normal apps to have
to do so, but if you need that degree of control, that's where you fit
in the architecture.

Cheers,
	Mark

---

From: "Cheng-Yin Lee" <[email-masked]>
Date: Tue, 22 Dec 1998 12:16:00 -0500

> to do so, but if you need that degree of control, that's where you fit

This may be a case where Simple Multicast can an 'alternative'  solution ...

cyl